@import "../../_mixins.scss";

.loader {
  left: 47%;
}

.settings {
  padding: 0;
  display: flex;
  flex-direction: row;
  background: var(--tile-bg);
  border-radius: 2px;
  min-height: 100%;

  .settings__header {
    display: flex;
    flex-direction: column;
    cursor: pointer;
    text-transform: capitalize;
    color: var(--grey-label);
    padding-left: 15px;
    border-right: 5px solid var(--app-bg);

    .settings__header-link {
      padding: 10px 10px 5px 10px;
      font-weight: 500;
      min-width: 150px;
      text-align: left;
      font-size: var(--font-s);

      &:hover,
      &:active,
      &:focus {
        font-weight: 700;
      }
    }
    .settings__header-link--active {
      font-weight: 700;
      color: var(--primary);
    }
    .required-tabs::after {
      content: "*";
      color: #f00;
      margin-left: 3px;
      font-size: var(--font-xs);
    }
  }

  .settings__notification {
    color: white;
    height: 30px;
    display: flex;
    align-items: center;
    padding-left: 15px;
    cursor: pointer;
    @include transitions(height 0.2s ease);

    &.settings__notification--fail {
      background: var(--danger);
    }

    &.settings__notification--success {
      background: var(--success);
    }
  }

  .settings__body {
    display: flex;
    flex-direction: column;

    .settings__body-actions {
      padding: 20px 15px;
      border-top: 2px solid var(--app-bg);
      margin: 0 -15px;
      position: absolute;
      bottom: 0;
      width: 100%;
      display: flex;
      justify-content: flex-end;

      #settings-separator {
        border-left: 2px solid var(--app-bg);
        margin-right: 20px;
      }

      button {
        margin-right: 20px;
        min-width: unset;
        width: 95px;
      }

      button:last-child {
        margin-right: 0;
      }
    }
  }
  .disable-div {
    pointer-events: none;
    opacity: 0.8;
  }
  .collapsable-body {
    margin: 0 20px;
    background-image: linear-gradient(#f7f7f7b8, #f7f7f7);
  }
  .setting-tab-body {
    position: relative;
    padding: 0;
    .cw-authentication-container {
      padding: 0 15px;
      .settings__body {
        margin-top: 10px;
        .cw-auth-input {
          .field-section:nth-child(odd) {
            padding: 5px 20px 5px 0;
          }
        }
      }
    }
  }
}

.board-mapping {
  padding: 0;
  display: flex;
  height: 100%;
  position: relative;
  flex-direction: column;
  --light-black-font: #454545;

  h3 {
    font-family: var(--font-first);
    font-size: var(--font-m);
    font-weight: 700;
    color: var(--light-black-font);
    padding-bottom: 0px;
    padding-top: 15px;
  }

  h2 {
    cursor: pointer;
    margin: 0;
    padding: 7px 20px;
    line-height: 25px;
    font-size: var(--font-s);
    // background: #cccccc4a;
    border-bottom: 1px solid #ccc;
    font-weight: 600;
    text-transform: uppercase;
    display: flex;
    justify-content: space-between;

    &::after {
      content: "-";
      display: block;
      margin-left: auto;
      line-height: 25px;
      font-size: 25px;
    }
  }

  .board-mapping__notification {
    background: var(--primary);
    color: white;
    height: 30px;
    display: flex;
    align-items: center;
    padding-left: 15px;
    cursor: pointer;
    @include transitions(height 0.2s ease);
  }

  .board-mapping__actions {
    bottom: 0;
    z-index: 1;
    width: 100%;
    display: flex;
    padding: 15px 18px;
    position: absolute;
    flex-direction: row;
    justify-content: flex-end;
    border-top: 2px solid var(--app-bg);

    button {
      margin-left: 20px;
    }
  }

  .board-mapping__container--collapsed {
    h2::after {
      content: "+";
      margin-left: auto;
    }

    .board-mapping__container-contents {
      display: none;
    }
  }

  .board-mapping__container-contents {
    display: flex;
    flex-direction: row;
    padding: 5px;
  }
  .board-mapping__container-contents.mapping {
    display: flex;
    flex-direction: row;
}
.board-mapping__container-contents.services {
  display: flex;
  flex-direction: column;
  margin: 0 0 70px 20px;
  .board-mapping__options-container--nested{
    margin-bottom: 20px;
    .board-mapping__container-inner {
      margin-right: 15px;
      .inner-row {
        width: 100%;
        display: flex;
        .field-section:first-child {
          padding-left: 0; 
        }
      }
    }
  }
}
  .board-error {
    color: red;
    text-align: right;
    padding: 5px 25px 0px 0px;
  }
  .field__label-require::after {
    content: "*";
    color: #f00;
    margin-left: 3px;
    font-size: var(--font-xs);
  }
}

.category-mapping-container {
  display: flex;
  .device-mapping__options {
    width: 100%;
    margin-bottom: 70px;
    .field-section--required {
      .field__label-required::after {
        content: "*";
        color: #f00;
        margin-left: 3px;
        font-size: var(--font-s);
      }
    }
    .select-manufacturer-error {
      color: #f00;
    }
    .error-input {
      border: 1px solid #f00;
      padding-bottom: 2px;
    }

    .error-for-row {
      padding-left: 35px;
    }
    .field-section.default-category {
      padding-right: 30px;
    }
    .mapping-row {
      padding: 0;
      display: flex;
      margin-bottom: 10px;
      .category-select-fields {
        width: 95%;
        padding-left: 15px;
        .field-section {
          padding: 5px 10px;
        }
        .field-section.arrow {
          background-image: url(/assets/new-icons/oppositearrow.svg);
          background-repeat: no-repeat;
          background-position: right 0px bottom 15px;
          padding-right: 25px !important;
        }
      }
      .btn.delete-btn {
        border-radius: 4px;
        margin: auto auto 7px auto;
        background: url(/assets/new-icons/delete_red_bin.svg) center no-repeat;
        background-color: rgba(237, 1, 49, 0.1);
        background-size: 14px;
        &:hover,
        &:active {
          background: url(/assets/new-icons/delete_red_bin.svg) center no-repeat;
          background-color: rgba(237, 1, 49, 0.3);
          background-size: 16px;
        }
      }
    }
    .mapping-row:first-child {
      display: block;
      margin-bottom: 15px;
      .add-new-mapping {
        margin: 37px 20px 0px 0px;
        width: 75px;
        min-width: unset;
      }

    }
  }

  .action-btns {
    display: flex;
    position: absolute;
    bottom: 0;
    z-index: 1;
    justify-content: flex-end;
    width: 100%;
    padding: 15px 18px;
    border-top: 2px solid var(--app-bg);
  }
  h2 {
    cursor: pointer;
    margin: 0;
    padding: 7px 20px;
    line-height: 25px;
    font-size: var(--font-m);
    background: #cccccc4a;
    border-bottom: 1px solid #ccc;
    font-weight: 600;
    text-transform: uppercase;
    display: flex;
    justify-content: space-between;
  }
}
.manufacturer-mapping-container {
  .square-btn {
    margin: 20px;
  }
  .manufacturer-mapping {
    padding: 20px;

    .Select {
      width: 350px;

      .Select-control .Select-input input {
        color: #333;
      }
    }

    .Select-value {
      font-size: small;
    }

    .Select-value-label {
      padding-left: 10px;
    }

    .manufacturer-mapping__table {
      --header-border: #eee;
      --header-bg: #fafafa;
      --header-color: #908f8f;
      width: 100%;
      background: #fff;

      .manufacturer-mapping__table-header {
        height: 50px;
        font-size: var(--font-m);
        color: var(--header-color);
        background: var(--header-bg);
        box-shadow: none;
        border-top: 1px solid var(--header-border);
        border-bottom: 1px solid var(--header-border);

        .middle {
          width: 60px;
        }

        th {
          padding-left: 20px;
        }

        .first,
        .last {
          width: 280px;
          text-transform: uppercase;
        }
      }

      .manufacturer-mapping__table-row {
        border-bottom: 1px solid var(--header-border);

        td {
          padding-left: 20px;
        }
        .middle {
          width: 60px;
        }
        .first,
        .last {
          width: 280px;
        }

        .manufacturer-mapping__label-required::after {
          content: "*";
          color: #f00;
          margin-left: 3px;
          font-size: var(--font-s);
        }

        .manufacturer-mapping__label-error {
          display: block;
          color: red;
        }
      }
    }
  }
  .manufacturer-error {
    color: red;
    padding: 0 20px;
  }
}

.synchronize {
  gap: 5%;
  width: 100%;
  padding: 25px 20px;
  display: flex;
  align-items: center;
  flex-direction: row;
  .sync-now {
    display: flex;
    flex-direction: column;
    background: #FAF8FC;
    height: 200px;
    width: 50%;
    justify-content: center;
    align-items: center;
    gap: 30px;
    cursor: pointer;
    .sync-img {
      height: 50px;
    }
    .sync-text {
      font-size: var(--font-xxxl);
      font-weight: bold;
      width: 70%;
      text-align: center;
    }
  }
  .sync-now:hover {
    width: 52%;
    height: 210px;
  }
}

.go-to-manufacturer {
  display: flex;
  flex-direction: column;
  width: 70%;
  text-align: center;
  margin: 0 auto;
  gap: 20px;
}

h4.sync-periodicaly-info {
  padding-left: 20px;
}

.board-mapping-input-text {
  padding: 0;
  width: 50%;
  min-width: 330px;
  margin: 0 0 0 20px;

  .field-section {
    padding: 10px 0px;
  }
}

.terretory-mapping {
  padding: 5px;
  background-color: var(--tile-bg);

  .main-heading {
    margin-bottom: 2rem;
  }

  .model-heading {
    font-weight: 600;
    font-size: var(--font-xxl);
    justify-content: space-between;
    display: flex;
    width: auto;
    // border-bottom: 1px solid #cccccc61;

    .heading-text {
      padding: 10px 10px 3px 10px;
    }
  }
  .terretory-mapping__options {
    margin: 0 10px 10px 10px;
  
    .mapping-row {
      height: 63px;
      padding: 0px 15px;
      display: flex;
      align-items: center;
      border: 1px solid lightgray;
      border-top: none;
    }

    .field__label-required::after {
      content: "*";
      color: #f00;
      margin-left: 3px;
      font-size: var(--font-s);
    }
    .select-manufacturer-error {
      color: #f00;
    }
    .error-input {
      border: 1px solid #f00;
      padding-bottom: 2px;
    }
    .heading {
      font-weight: 600;
      border: 1px solid lightgray;
      .field__label-label {
        color: #333 !important;
        font-weight: 600 !important;
      }
    }
  }
  .terretory-name.arrow {
    padding: 0 20px;
    text-transform: capitalize;
    background-image: url(/assets/icons/oppositearrow.svg);
    background-repeat: no-repeat;
    background-position: right 0px;
  }
}
.circuit-types-mapping {
  padding: 5px;
  .add-heading {
    font-weight: 700;
    padding-left: 20px;
    margin-bottom: 0px;
  }
  .add-new-btn {
    float: right;
    margin: 10px 30px 10px 0px;
  }
  .add-new {
    border: 1px solid #ccc;
    max-width: 530px;
    margin: 20px;
    padding: 10px;
    display: flex;
    flex-direction: column;
  }
  .table-container
    .table-container__table
    .ReactTable
    .rt-table
    .rt-thead.-header:first-child {
    padding: 0;
  }
  button.square-btn.save.btn {
    margin-left: 20px;
    margin-right: 10px;
  }
}
.types-delete {
  width: 100%;
  .warning-message {
    color: red;
  }
  .group {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    .ids {
      display: flex;
      flex-direction: column;
      flex-basis: 25%;
      padding: 2px;
      overflow: hidden;
      word-break: break-word;
    }
  }
  .body-section {
    padding: 10px 20px 10px 10px;
    background: #cccccc1f;
    .device-details-circuit-info {
      display: flex;
      flex-direction: column;
      .document {
        display: flex;
        .tile {
          display: flex;
          flex-direction: column;
          flex-basis: 33%;
          padding-top: 5px;
          padding-bottom: 5px;
          overflow: hidden;
          min-width: 100px;
          label:first-child {
            color: var(--grey-label);
            text-transform: uppercase;
            padding: 0px 0px 0px 2px;
          }
          label {
            word-break: break-word;
            padding: 2px;
          }
        }
        .tile-index {
          display: flex;
          flex-direction: column;
          flex-basis: 5%;
          padding-top: 5px;
          padding-bottom: 5px;
          overflow: hidden;
          min-width: 30px;
          label:first-child {
            color: var(--grey-label);
            text-transform: uppercase;
            padding: 0px 0px 0px 2px;
          }
          label {
            word-break: break-word;
            padding: 2px;
          }
        }
      }
    }
  }
}

.erp-ipt-tag-mapping {
  .erp-ipt-tag-heading { 
    .add-new-sp-mapping {
      position: relative;
      margin: 15px 20px;
      width: 75px;
      min-width: unset;
    }
  }
  .no-mapping-data {
    color: red;
    font-weight: 600;
    font-size: var(--font-xl);
    text-align: center;
    margin-top: 30px;
  }
  .erp-ipt-tag-mapping-table {
    margin: 0px 15px 20px;
  }
}

.collapsable-section {
  border: 1px solid #ccc;
  margin: 15px 15px 0px 15px;
  border-radius: 5px;
  background: white;
  .collapsable-heading {
    border-bottom: 1px solid #ccc;
    padding: 2px 10px;
    font-weight: 600;
    text-transform: uppercase;
    display: flex;
    justify-content: space-between;
    font-size: var(--font-m);
    .action-collapse {
      font-size: 25px;
      line-height: 22px;
    }
  }
}

.field--not-collapsed {
  h2,
  .collapsable-heading {
    background: #cccccc24 !important;
  }
}

.no-data-text {
  text-align: center;
  padding: 5px;
  font-weight: 500;
}

.role-rate-mapping {
  display: flex;
  flex-direction: column;
  padding: 20px 15px;
  .rrm-row {
    display: flex;
    flex-direction: row;
    .field-section {
      padding: 0;
    }
    .rr-col {
      width: 30%;
      padding-right: 20px;
    }
    .rr-icon-col {
      width: 5%;
      display: flex;
      justify-content: center;
      .saved {
        width: 22px;
        height: 22px;
        margin: 18px auto 0;
        cursor: pointer;
        padding: 0;
      }
      .remove {
        margin-top: 15px;
        display: flex;
        justify-content: center;
      }
    }
  }
  .rrm-row.rrm-heading {
    font-weight: 600;
    font-size: var(--font-m);
    color: #333;
  }
  .remove {
    margin: 2rem 0rem 0 0rem;
    display: flex;
    justify-content: center;
  }
  .add-new-role {
    color: var(--primary);
    font-size: var(--font-m);
    font-weight: 600;
    width: 100px;
    cursor: pointer;
    span.add-plus {
      font-size: 20px;
      position: absolute;
      font-weight: 100;
    }
    span.add-text {
      display: inline-block;
      margin-left: 16px;
      margin-top: 4px;
    }
  }
  img.edit {
    width: 44px;
    height: 17px;
    filter: invert(1);
    margin: 18px 0 0 10px;
  }
}

.role-types {
  padding: 5px 15px;
  display: flex;
  flex-direction: column;
  width: 100%;
  .add-role-type {
    width: 100%;
    display: flex;
    margin-bottom: 15px;
    border-bottom: 1px solid #EEF2F5;
    .field-section {
      padding: 0;
    }
    .btn {
      margin: 15px 0 0 20px;
      width: 75px;
      min-width: unset;
      height: var(--input-height);
    }
  }
  
  .role-row {
    display: flex;
    flex-wrap: wrap;
  }
  .type {
    display: flex;
    height: 25px;
    margin: 4px 4px;
    padding: 9px 0px 8px 10px;
    border-radius: 0;
    border: solid 1px #d3dde0;
    background-color: #ffffff;
    line-height: 0.5;
    font-weight: 600;
  }
  .type.no-data {
    padding-right: 6px;
  }
  .confirm-help-icon.remove {
    margin: -0.4rem 0.5rem 0rem 1rem;
    .icon-remove-c {
      width: 11px;
      height: 11px;
    }
  }
}

.erp-ipt-tag-mapping-delete {
  .modal-dialog {
    margin-top: 150px;
    .modal-content {
      min-width: 500px;
      .modal-body {
        line-height: 20px;
        margin-bottom: 20px;
      }
    }
  }
}

.model-mapping-container {
  display: flex;
  flex-direction: column;
  min-height: 100%;
  background: var(--tile-bg);
  padding-bottom: 20px;
}